using System.ComponentModel.DataAnnotations;

namespace Web.Models.Zamestnanec
{
  public class HesloModel: LayoutModel {
    [Required]
    [StringLength(100, ErrorMessage = "Heslo musí mít minimálně 6 znaků", MinimumLength = 6)]
    [DataType(DataType.Password)]
    [Display(Name = "Heslo")]
    public string Password { get; set; }

    [DataType(DataType.Password)]
    [Display(Name = "Potvrzovací heslo")]
    [Compare("Password", ErrorMessage = "Hesla se musí shodovat.")]
    public string ConfirmPassword { get; set; }
  }
}